ghc-9.6.3: The GHC API

Safe Haskell | Safe-Inferred
Language | Haskell2010

GHC.Cmm.Parser.Monad

Synopsis

- newtype PD a = PD {
  - unPD :: PDConfig -> HomeUnit -> PState -> ParseResult a
  }
- liftP :: P a -> PD a
- failMsgPD :: (SrcSpan -> MsgEnvelope PsMessage) -> PD a
- getPDConfig :: PD PDConfig
- getProfile :: PD Profile
- getPlatform :: PD Platform
- getHomeUnitId :: PD UnitId
- data PDConfig = PDConfig {
  - pdProfile :: !Profile
  - pdSanitizeAlignment :: !Bool
  }

# Documentation

newtype PD a Source #

Constructors

PD |

Fields

- unPD :: PDConfig -> HomeUnit -> PState -> ParseResult a

#### Instances

Instances details

Applicative PD Source # |
Instance details Defined in GHC.Cmm.Parser.Monad Methods pure :: a -> PD a Source # (<*>) :: PD (a -> b) -> PD a -> PD b Source # liftA2 :: (a -> b -> c) -> PD a -> PD b -> PD c Source # (*>) :: PD a -> PD b -> PD b Source # (<*) :: PD a -> PD b -> PD a Source #
Functor PD Source # |
Instance details Defined in GHC.Cmm.Parser.Monad Methods fmap :: (a -> b) -> PD a -> PD b Source # (<$) :: a -> PD b -> PD a Source #
Monad PD Source # |
Instance details Defined in GHC.Cmm.Parser.Monad Methods (>>=) :: PD a -> (a -> PD b) -> PD b Source # (>>) :: PD a -> PD b -> PD b Source # return :: a -> PD a Source #

liftP :: P a -> PD a Source #

failMsgPD :: (SrcSpan -> MsgEnvelope PsMessage) -> PD a Source #

getPDConfig :: PD PDConfig Source #

getProfile :: PD Profile Source #

getPlatform :: PD Platform Source #

getHomeUnitId :: PD UnitId Source #

Return the UnitId of the home-unit. This is used to create labels.

data PDConfig Source #

Constructors

PDConfig |

Fields

- pdProfile :: !Profile
- pdSanitizeAlignment :: !Bool

  Insert alignment checks (cf `-falignment-sanitisation`)